//
//  AdTimingAdsInterstitial.h
//  AdTiming
//
//  Created by M on 2019/6/14.
//  Copyright © 2019 AdTiming. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>
#import "AdTimingAdsSingletonInterface.h"
#import "AdTimingAdsInterstitialDelegate.h"


NS_ASSUME_NONNULL_BEGIN

@interface AdTimingAdsInterstitial : AdTimingAdsSingletonInterface

/// Returns the singleton instance.
+ (instancetype)sharedInstance;

/// Add delegate
- (void)addDelegate:(id<AdTimingAdsInterstitialDelegate>)delegate;

/// Remove delegate
- (void)removeDelegate:(id<AdTimingAdsInterstitialDelegate>)delegate;

/// loadAd
- (void)loadWithPlacementID:(NSString*)placementID;

///load ad with bid payload
- (void)loadWithPlacementID:(NSString*)placementID payLoad:(NSString*)bidPayload;

/// Indicates whether the interstitial video is ready to show ad.
- (BOOL)isReady:(NSString*)placementID;


- (void)showAdFromRootViewController:(UIViewController *)rootViewController placementID:(NSString *)placementID;

@end

NS_ASSUME_NONNULL_END
