//
//  AdTimingAdsInterstitialDelegate.h
//  AdTiming
//
//  Created by M on 2019/6/14.
//  Copyright © 2019 AdTiming. All rights reserved.
//

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

@protocol AdTimingAdsInterstitialDelegate <NSObject>

@optional


/// Invoked when a interstitial  did load.
- (void)adtimingInterstitialDidLoad:(NSString *)placementID;

/// Sent after an  interstitial fails to load the ad.
- (void)adtimingInterstitialDidFailToLoad:(NSString *)placementID withError:(NSError *)error;

- (void)adtimingInterstitialDidOpen:(NSString *)placementID;

/// Sent immediately when a interstitial video starts to play.
- (void)adtimingInterstitialDidShow:(NSString *)placementID;

/// Sent after a interstitial video has been clicked.
- (void)adtimingInterstitialDidClick:(NSString *)placementID;

/// Sent after a interstitial video has been closed.
- (void)adtimingInterstitialDidClose:(NSString *)placementID;

/// Sent after a interstitial video has failed to play.
- (void)adtimingInterstitialDidFailToShow:(NSString *)placementID withError:(NSError *)error;

@end

NS_ASSUME_NONNULL_END
