//
//  AdTimingAdsNative.h
//  AdTiming SDK
//
//  Copyright 2017 AdTiming Inc. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>
#import "AdTimingAdsAdBase.h"
#import "AdTimingAdsNativeDelegate.h"

NS_ASSUME_NONNULL_BEGIN

/// The AdTimingAdsNative represents ad metadata to allow you to construct custom ad views.
@interface AdTimingAdsNative : AdTimingAdsAdBase

/// the delegate
@property(nonatomic, weak, nullable) id<AdTimingAdsNativeDelegate> delegate;

/// The native's ad placement ID.
- (NSString*)placementID;

/// This is a method to initialize an AdTimingAdsNative.
/// placementID: Typed access to the id of the ad placement.
- (instancetype)initWithPlacementID:(NSString*)placementID;

/// This is a method to initialize an AdTimingAdsNative.
/// placementID: Typed access to the id of the ad placement.
/// viewController: The view controller that will be used to present the ad and the app store view.
- (instancetype)initWithPlacementID:(NSString*)placementID rootViewController:(UIViewController*)viewController;

/// Begins loading the AdTimingAdsNative content.
- (void)loadAd;

///load ad with bid payload
- (void)loadAdWithPayLoad:(NSString*)bidPayload;
@end

NS_ASSUME_NONNULL_END
