//
//  AdTimingAdsNativeDelegate.h
//  AdTiming SDK
//
//  Copyright 2017 AdTiming Inc. All rights reserved.
//

#import <Foundation/Foundation.h>

@class AdTimingAdsNative;
@class AdTimingAdsNativeAd;

NS_ASSUME_NONNULL_BEGIN

/// The methods declared by the AdTimingAdsNativeDelegate protocol allow the adopting delegate to respond to messages from the AdTimingAdsNative class and thus respond to operations such as whether the native ad has been loaded.
@protocol AdTimingAdsNativeDelegate<NSObject>

@optional

/// Sent when an AdTimingAdsNative has been successfully loaded.
- (void)adtimingNative:(AdTimingAdsNative*)native didLoad:(AdTimingAdsNativeAd*)nativeAd;

/// Sent when an AdTimingAdsNative is failed to load.
- (void)adtimingNativeDidFailToLoad:(AdTimingAdsNative*)native withError:(NSError*)error;

/// Sent immediately before the impression of an AdTimingAdsNative object will be logged.
- (void)adtimingNativeWillExposure:(AdTimingAdsNative*)native;

/// Sent after an ad has been clicked by the person.
- (void)adtimingNativeDidClick:(AdTimingAdsNative*)native;

@end

NS_ASSUME_NONNULL_END
