//
//  AdTimingAdsRewardedVideoDelegate.h
//  AdTiming
//
//  Created by ylm on 2019/9/12.
//  Copyright © 2019 AdTiming. All rights reserved.
//

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

@protocol AdTimingAdsRewardedVideoDelegate <NSObject>

@optional

/// Invoked when a rewarded video did load.

- (void)adtimingRewardedVideoDidLoad:(NSString *)placementID;

/// Sent after an rewarded video fails to load the ad.
- (void)adtimingRewardedVideoDidFailToLoad:(NSString *)placementID withError:(NSError *)error;

/// Sent immediately when a rewarded video is opened.
- (void)adtimingRewardedVideoDidOpen:(NSString *)placementID;

/// Sent immediately when a rewarded video starts to play.
- (void)adtimingRewardedVideoPlayStart:(NSString *)placementID;

/// Send after a rewarded video has been completed.
- (void)adtimingRewardedVideoPlayEnd:(NSString *)placementID;

/// Sent after a rewarded video has been clicked.
- (void)adtimingRewardedVideoDidClick:(NSString *)placementID;

/// Sent after a user has been granted a reward.
- (void)adtimingRewardedVideoDidReceiveReward:(NSString *)placementID;

/// Sent after a rewarded video has been closed.
- (void)adtimingRewardedVideoDidClose:(NSString *)placementID;

/// Sent after a rewarded video has failed to play.
- (void)adtimingRewardedVideoDidFailToShow:(NSString *)placementID withError:(NSError *)error;

@end

NS_ASSUME_NONNULL_END
